import * as z from 'zod';
import type { Prisma } from '../../../generated/prisma';


const makeSchema = () => z.object({
  id: z.literal(true).optional(),
  claimId: z.literal(true).optional(),
  paymentId: z.literal(true).optional(),
  procedureCode: z.literal(true).optional(),
  procedureDate: z.literal(true).optional(),
  quad: z.literal(true).optional(),
  arch: z.literal(true).optional(),
  toothNumber: z.literal(true).optional(),
  toothSurface: z.literal(true).optional(),
  icn: z.literal(true).optional(),
  paidCode: z.literal(true).optional(),
  allowedAmount: z.literal(true).optional(),
  totalBilled: z.literal(true).optional(),
  totalPaid: z.literal(true).optional(),
  totalAdjusted: z.literal(true).optional(),
  totalDue: z.literal(true).optional(),
  status: z.literal(true).optional()
}).strict();
export const ServiceLineMaxAggregateInputObjectSchema: z.ZodType<Prisma.ServiceLineMaxAggregateInputType> = makeSchema() as unknown as z.ZodType<Prisma.ServiceLineMaxAggregateInputType>;
export const ServiceLineMaxAggregateInputObjectZodSchema = makeSchema();
